\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - STL Extensions for CGAL

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Assertions and Failure Behaviour
STL Extensions for CGAL Reference

##

enum | CGAL::Failure_behaviour { CGAL::ABORT, CGAL::EXIT, CGAL::EXIT_WITH_SUCCESS, CGAL::CONTINUE, CGAL::THROW_EXCEPTION }
typedef void(* | CGAL::Failure_function )(const char *type, const char *expression, const char *file, int line, const char *explanation)
Failure_function | CGAL::set_error_handler (Failure_function handler)
Failure_function | CGAL::set_warning_handler (Failure_function handler)
Failure_behaviour | CGAL::set_error_behaviour (Failure_behaviour eb)
Failure_behaviour | CGAL::set_warning_behaviour (Failure_behaviour eb)

## Typedef Documentation

typedef void(* CGAL::Failure_function)(const char *type, const char *expression, const char *file, int line, const char *explanation)

Parameters

  type | is a string that contains one of the words precondition, postcondition, assertion or warning.
  expression | contains the expression that was violated.
  file,line | contain the place where the check was made.
  explanation | contains an explanation of what was checked. It can be `NULL`, in which case the expression is thought to be descriptive enough.

`#include <CGAL/assertions_behaviour.h>`

## Enumeration Type Documentation

enum CGAL::Failure_behaviour

`#include <CGAL/assertions_behaviour.h>`

Enumerator
ABORT |
EXIT |
EXIT_WITH_SUCCESS |
CONTINUE |
THROW_EXCEPTION |